\section{Cylindrical Algebraic Decomposition}

\begin{frame}{Core ideas of CAD}
	\begin{columns}
		\begin{column}{0.5\textwidth}
			\begin{itemize}
				\item Input: set of constraints
				\visible<2->{
				\item Consider \emph{polynomials} of these constraints
				\item Identify \emph{sign-invariant} regions
				}
				\visible<3->{
				\item Sign-invariance (of polynomials) implies \emph{truth-invariance} (of the formula)
				\item All samples in one region are \emph{equivalent}
				}
				\visible<4->{
				\item Construct \emph{one sample} per region
				\item Evaluate samples on constraints
				}
			\end{itemize}
		\end{column}
		\begin{column}{0.5\textwidth}
			\centering
			\includetikz{02a-cad-core-idea}
		\end{column}
	\end{columns}
\end{frame}

\begin{frame}{CAD in a nutshell}
	\citefootline{\cite{Collins1975}}
	
	\centering
	\includetikz{02a-cad}
\end{frame}
